#!/bin/bash

# path to rabbitmqctl
RABBIT_CTL=./rabbitmqctl

# where amqp_producer and amqp_consumer are located
RABBIT_C_DIR=./rabbitmq-c
AMQP_UTIL_DIR=$RABBIT_C_DIR/examples

# num of queues
NUM_QUEUES=1000

# 20 KB
MESSAGE_SIZE=20480 

# num of messaegs per queue
MESSAGE_COUNT=3000

# wait for all processes to exit
# e.g. wait_proc amqp_producer
function wait_proc {
    proc=$1
    count=1
    while [ $count -gt 0 ]; do
	count=`ps auxww | grep $proc | grep -v grep | wc | awk '{print $1}'`
	echo $count $proc running
	sleep 5
    done
    
}

